Source: globus-openssl-module
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13),
 pkg-config,
 libglobus-common-dev (>= 15),
 libglobus-gsi-proxy-ssl-dev (>= 4),
 libglobus-gsi-openssl-error-dev (>= 2),
 libssl-dev
Build-Depends-Indep:
 doxygen
Standards-Version: 4.6.1
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/globus-openssl-module
Vcs-Git: https://salsa.debian.org/ellert/globus-openssl-module.git
Homepage: https://github.com/gridcf/gct/

Package: libglobus-openssl-module0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Grid Community Toolkit - Globus OpenSSL Module Wrapper
 The Grid Community Toolkit (GCT) is an open source software toolkit used for
 building grid systems and applications. It is a fork of the Globus Toolkit
 originally created by the Globus Alliance. It is supported by the Grid
 Community Forum (GridCF) that provides community-based support for core
 software packages in grid computing.
 .
 The libglobus-openssl-module0 package contains:
 Globus OpenSSL Module Wrapper

Package: libglobus-openssl-module-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libglobus-openssl-module0 (= ${binary:Version}),
 ${misc:Depends},
 libglobus-common-dev (>= 15),
 libglobus-gsi-proxy-ssl-dev (>= 4),
 libglobus-gsi-openssl-error-dev (>= 2),
 libssl-dev
Suggests:
 libglobus-openssl-module-doc (= ${source:Version})
Description: Grid Community Toolkit - Globus OpenSSL Module Wrapper Development Files
 The Grid Community Toolkit (GCT) is an open source software toolkit used for
 building grid systems and applications. It is a fork of the Globus Toolkit
 originally created by the Globus Alliance. It is supported by the Grid
 Community Forum (GridCF) that provides community-based support for core
 software packages in grid computing.
 .
 The libglobus-openssl-module-dev package contains:
 Globus OpenSSL Module Wrapper Development Files

Package: libglobus-openssl-module-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Grid Community Toolkit - Globus OpenSSL Module Wrapper Documentation Files
 The Grid Community Toolkit (GCT) is an open source software toolkit used for
 building grid systems and applications. It is a fork of the Globus Toolkit
 originally created by the Globus Alliance. It is supported by the Grid
 Community Forum (GridCF) that provides community-based support for core
 software packages in grid computing.
 .
 The libglobus-openssl-module-doc package contains:
 Globus OpenSSL Module Wrapper Documentation Files
